---
title: list-attribute-labels
product: vercel
url: /docs/rest-api/sdk/feature-flags/list-attribute-labels
canonical_url: "https://vercel.com/docs/rest-api/sdk/feature-flags/list-attribute-labels"
last_updated: 2026-10-22
type: reference
prerequisites:
  []
related:
  - /docs/rest-api
summary: Learn about list-attribute-labels on Vercel.
install_vercel_plugin: npx plugins add vercel/vercel-plugin
---

# List attribute labels

```http
GET /v1/projects/{projectIdOrName}/feature-flags/labels
```

List labels for one entity attribute. Search can return a short or empty page with a continuation cursor; continue until pagination.next is null.

## Authentication

**bearerToken**: HTTP bearer

## Path parameters

| Name | Type | Required | Description |
|---|---|---|---|
| `projectIdOrName` | string | Yes |  |


## Query parameters

| Name | Type | Required | Description |
|---|---|---|---|
| `limit` | integer. min: 1; max: 100; default: 20 | No |  |
| `cursor` | string. maxLength: 4096 | No | The continuation cursor from the previous response. |
| `search` | string. maxLength: 128 | No | Case-insensitive substring search on the value and label. |
| `entityKind` | string. maxLength: 128 | Yes |  |
| `attributeKey` | string. maxLength: 128 | Yes |  |
| `teamId` | string | No | The Team identifier to perform the request on behalf of. |
| `slug` | string | No | The Team slug to perform the request on behalf of. |


## Example request

```typescript
import { Vercel } from "@vercel/sdk";

const vercel = new Vercel({
  bearerToken: "<YOUR_BEARER_TOKEN_HERE>",
});

async function run() {
  const result = await vercel.featureFlags.listFlagLabels({
    entityKind: "<value>",
    attributeKey: "<value>",
    projectIdOrName: "<value>",
    teamId: "team_1a2b3c4d5e6f7g8h9i0j1k2l",
    slug: "my-team-url-slug",
  });

  console.log(result);
}

run();
```

## Example response

```json
{
  "data": [
    {
      "attributeKey": "string",
      "entityKind": "string",
      "label": "string",
      "value": "string"
    }
  ],
  "pagination": {
    "next": "string"
  }
}
```

## Responses

### 200: No description

Content-Type: `application/json`

```json
{
  "type": "object",
  "required": [
    "data",
    "pagination"
  ],
  "properties": {
    "data": {
      "type": "array",
      "items": {
        "type": "object",
        "required": [
          "attributeKey",
          "entityKind",
          "label",
          "value"
        ],
        "properties": {
          "attributeKey": {
            "type": "string"
          },
          "entityKind": {
            "type": "string"
          },
          "label": {
            "type": "string"
          },
          "value": {
            "type": "string"
          }
        }
      }
    },
    "pagination": {
      "type": "object",
      "required": [
        "next"
      ],
      "properties": {
        "next": {
          "type": "string",
          "nullable": true
        }
      }
    }
  }
}
```

### 400: One of the provided values in the request query is invalid.

### 401: The request is not authorized.

### 402: The account is missing a payment so payment method must be updated

### 403: You do not have permission to access this resource.

### 404: No description

### 410: No description

---

## Related

- [feature-flags endpoints](/docs/rest-api#feature-flags)

- [REST API overview](/docs/rest-api)

- [OpenAPI spec](https://vercel.com/openapi.json) (machine-readable, all endpoints)

---

[View full sitemap](/docs/sitemap)


If you find anything wrong or missing or can't find something, submit feedback by reading https://vercel.com/feedback.md to improve Vercel.
